Skip to main content
GET
/
api
/
public
/
validate-publisher
Validate publisher
curl --request GET \
  --url https://agenticadvertising.org/api/public/validate-publisher
import requests

url = "https://agenticadvertising.org/api/public/validate-publisher"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://agenticadvertising.org/api/public/validate-publisher', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "valid": true,
  "domain": "<string>",
  "agent_count": 123,
  "property_count": 123,
  "property_type_counts": {},
  "tag_count": 123,
  "url": "<string>",
  "manager_domain": "<string>",
  "errors": [
    "<string>"
  ],
  "warnings": [
    "<string>"
  ]
}

Query Parameters

domain
string
required
Example:

"examplepub.com"

Response

200 - application/json

Publisher validation result

valid
boolean
required
domain
string
required
discovery_method
enum<string>
required

How the publisher's adagents.json was discovered. ads_txt_managerdomain indicates one-hop delegation via ads.txt MANAGERDOMAIN.

Available options:
direct,
authoritative_location,
ads_txt_managerdomain
agent_count
integer
required
property_count
integer
required
property_type_counts
object
required
tag_count
integer
required
url
string
manager_domain
string

Manager domain that served the manifest. Present only when discovery_method is ads_txt_managerdomain.

errors
string[]
warnings
string[]